/**
 * Copyright  2000,2002,2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *
 */
package org.ow2.jonas.ant;

import java.io.File;
import java.io.FilenameFilter;

public class InnerClassFilenameFilter implements FilenameFilter {

    private String baseClassName;

    InnerClassFilenameFilter(String baseclass) {
        int extidx = baseclass.lastIndexOf(".class");
        if (extidx == -1) {
            extidx = baseclass.length() - 1;
        }
        baseClassName = baseclass.substring(0, extidx);
    }

    public boolean accept(File Dir, String filename) {
        if ((filename.lastIndexOf(".") != filename.lastIndexOf(".class"))
                || (filename.indexOf(baseClassName + "$") != 0)) {
            return false;
        }
        return true;
    }
}